/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\quivers\QuiverOfInfinity.cs
Lines of code: 33
***********************************************************/


 /*
##############################
Official Age of Valor Script
http://www.uovalor.com

Coded by Red Squirrel
redsquirrel@iceteks.com
##############################
*/

 using System;
 using Server.Targeting;
 using Server.Mobiles;
 
 namespace Server.Items
{ 
	[Flipable( 11010, 11011 )]
	public class QuiverOfInfinity : Quiver
	{

		[Constructable]
		public QuiverOfInfinity()
		{		
		Name="Quiver of Infinity";  //Not using cliloc as they do not work with quivers (not sure why)
		ItemID=11011;
		
		Attributes.DefendChance=5;
		Attributes.LowerAmmoCost=20;
		
		WeightReduction=30;
		
		LootType=LootType.Blessed;
		}


		public QuiverOfInfinity( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();							
		}
	}
}